<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.iotdevice.mapper.IotAepProductMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="iotAepProductResultMap" type="org.springblade.third.iotdevice.entity.IotAepProduct">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="master_key" property="masterKey"/>
        <result column="product_id" property="productId"/>
        <result column="product_desc" property="productDesc"/>
        <result column="product_name" property="productName"/>
        <result column="product_protocol" property="productProtocol"/>
        <result column="manufacturers" property="manufacturers"/>
        <result column="platform" property="platform"/>
        <result column="device_type" property="deviceType"/>
    </resultMap>


    <select id="selectIotAepProductPage" resultMap="iotAepProductResultMap">
        select * from third_iot_aep_product where is_deleted = 0
    </select>

</mapper>
